// Custom numeric formatDoc.cpp : implementation of the CCustomnumericformatDoc class
//

#include "stdafx.h"
#include "Custom numeric format.h"

#include "Custom numeric formatDoc.h"
#include "NumericFormatDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCustomnumericformatDoc

IMPLEMENT_DYNCREATE(CCustomnumericformatDoc, CDocument)

BEGIN_MESSAGE_MAP(CCustomnumericformatDoc, CDocument)
	//{{AFX_MSG_MAP(CCustomnumericformatDoc)
	ON_COMMAND(ID_NUMERIC_FORMAT, OnNumericFormat)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCustomnumericformatDoc construction/destruction

CCustomnumericformatDoc::CCustomnumericformatDoc()
{
	// TODO: add one-time construction code here

}

CCustomnumericformatDoc::~CCustomnumericformatDoc()
{
}

BOOL CCustomnumericformatDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)
    m_nf.SetFormat("#,##0.00");

	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// CCustomnumericformatDoc serialization

void CCustomnumericformatDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
        ar << m_nf;
	}
	else
	{
		// TODO: add loading code here
        ar >> m_nf;
	}
}

/////////////////////////////////////////////////////////////////////////////
// CCustomnumericformatDoc diagnostics

#ifdef _DEBUG
void CCustomnumericformatDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CCustomnumericformatDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CCustomnumericformatDoc commands

CNumericFormat* CCustomnumericformatDoc::GetNumericFormat()
{
    return &m_nf;
}

void CCustomnumericformatDoc::OnNumericFormat() 
{
	// TODO: Add your command handler code here
	CNumericFormatDlg dlg(&m_nf);

    if(dlg.DoModal() == IDOK)
        UpdateAllViews(NULL);
}
